LPCOpen Platform for LPC18XX/43XX microcontrollers: LPC1850 Hitex EVA board support software API functions

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

Modules | Macros | Functions | Variables
LPC1850 Hitex EVA board support software API functions
Hitex 1850 evaluation boards

## Detailed Description

The board support software API functions provide some simple abstracted functions used across multiple LPCOpen board examples. See BOARD: Common board functions for the functions defined by this board support layer.

## Modules
| BOARD: LPC1850 Hitex EVA board options

## Macros
#define | BOARD_HITEX_EVA_1850
#define | BOARD_ENET_PHY_ADDR 0x01
#define | LEDS_LED1 0x01
#define | LEDS_LED2 0x02
#define | LEDS_LED3 0x04
#define | LEDS_LED4 0x08
#define | LEDS_NO_LEDS 0x00
#define | BUTTONS_BUTTON1 0x01
#define | JOY_UP 0x01
#define | JOY_DOWN 0x02
#define | JOY_LEFT 0x04
#define | JOY_RIGHT 0x08
#define | JOY_PRESS 0x10
#define | NO_BUTTON_PRESSED 0x00
#define | BUTTONS_BUTTON1_GPIO_PORT_NUM 6
#define | BUTTONS_BUTTON1_GPIO_BIT_NUM 21
#define | I2CDEV_PCA9502_ADDR (0x9A >> 1)
#define | PCA9502_REG_IODIR 0x0A
#define | PCA9502_REG_IOSTATE 0x0B
#define | PCA9502_REG_IOINTENA 0x0C
#define | PCA9502_REG_IOCONTROL 0x0E
#define | PCA9502_REG_ADDR(x) (((x) & 0x0F) << 3)
#define | I2CDEV_UDA1380_ADDR (0x34 >> 1)
#define | UDA1380_I2C_BUS I2C0
#define | FRAMEBUFFER_ADDR 0x28000000
#define | BOARD_LCD EA320x240

## Functions
void | Board_UART_Init (LPC_USART_T *pUART)
| Initialize pin muxing for a UART. More...
void | Board_Buttons_Init (void)
| Initialize button(s) interface on board. More...
uint32_t | Buttons_GetStatus (void)
| Returns button(s) state on board. More...
void | Board_Joystick_Init (void)
| Initialize joystick interface on board. More...
uint8_t | Joystick_GetStatus (void)
| Returns joystick states on board. More...
void | Board_ENET_GetMacADDR (uint8_t *mcaddr)
| Returns the MAC address assigned to this board. More...
void | Board_ADC_Init (void)
| Sets up board specific ADC interface. More...
void | Board_I2C_Init (I2C_ID_T id)
| Sets up board specific I2C interface. More...
STATIC INLINE void | Board_I2C_EnableFastPlus (I2C_ID_T id)
| Sets up I2C Fast Plus mode. More...
STATIC INLINE void | Board_I2C_DisableFastPlus (I2C_ID_T id)
| Disable I2C Fast Plus mode and enables default mode. More...
void | Board_LCD_Init (void)
| Initialize the LCD interface. More...
void | Board_InitLCDController (void)
| Initialize the LCD controller on the QVGA (320x240) TFT LCD. More...
void | Board_InitTouchController (void)
| Initialize touchscreen controller. More...
bool | Board_GetTouchPos (int16_t *pX, int16_t *pY)
| Get Touch coordinates. More...
void | Board_SetLCDBacklight (uint8_t Intensity)
| Set LCD Backlight. More...
void | Board_SDMMC_Init (void)
| Initialize pin muxing for SDMMC interface. More...
void | Board_SSP_Init (LPC_SSP_T *pSSP)
| Initialize pin muxing for SSP interface. More...
void | Board_Audio_Init (LPC_I2S_T *pI2S, int micIn)
| Initialize I2S interface for the board and UDA1380. More...
void | Board_DAC_Init (LPC_DAC_T *pDAC)
| Initialize DAC interface for the board. More...

## Variables
const LCD_CONFIG_T | EA320x240

## Macro Definition Documentation

#define BOARD_ENET_PHY_ADDR 0x01

Definition at line 81 of file board.h.

#define BOARD_HITEX_EVA_1850

Definition at line 77 of file board.h.

#define BOARD_LCD EA320x240

Default LCD configuration data for examples

Definition at line 137 of file board.h.

#define BUTTONS_BUTTON1 0x01

Definition at line 89 of file board.h.

#define BUTTONS_BUTTON1_GPIO_BIT_NUM 21

Definition at line 98 of file board.h.

#define BUTTONS_BUTTON1_GPIO_PORT_NUM 6

Definition at line 97 of file board.h.

#define FRAMEBUFFER_ADDR 0x28000000

Default location of LCD buffer is in DRAM

Definition at line 123 of file board.h.

#define I2CDEV_PCA9502_ADDR (0x9A >> 1)

Definition at line 100 of file board.h.

#define I2CDEV_UDA1380_ADDR (0x34 >> 1)

Address of I2C device (UDA1380 CODEC) on board

Definition at line 113 of file board.h.

#define JOY_DOWN 0x02

Definition at line 91 of file board.h.

#define JOY_LEFT 0x04

Definition at line 92 of file board.h.

#define JOY_PRESS 0x10

Definition at line 94 of file board.h.

#define JOY_RIGHT 0x08

Definition at line 93 of file board.h.

#define JOY_UP 0x01

Definition at line 90 of file board.h.

#define LEDS_LED1 0x01

Definition at line 84 of file board.h.

#define LEDS_LED2 0x02

Definition at line 85 of file board.h.

#define LEDS_LED3 0x04

Definition at line 86 of file board.h.

#define LEDS_LED4 0x08

Definition at line 87 of file board.h.

#define LEDS_NO_LEDS 0x00

Definition at line 88 of file board.h.

#define NO_BUTTON_PRESSED 0x00

Definition at line 95 of file board.h.

#define PCA9502_REG_ADDR | ( |  | x | ) | (((x) & 0x0F) << 3)

Definition at line 105 of file board.h.

#define PCA9502_REG_IOCONTROL 0x0E

Definition at line 104 of file board.h.

#define PCA9502_REG_IODIR 0x0A

Definition at line 101 of file board.h.

#define PCA9502_REG_IOINTENA 0x0C

Definition at line 103 of file board.h.

#define PCA9502_REG_IOSTATE 0x0B

Definition at line 102 of file board.h.

#define UDA1380_I2C_BUS I2C0

I2C Peripheral to which UDA1380 is connected

Definition at line 118 of file board.h.

## Function Documentation

void Board_ADC_Init | ( | void |  | ) |

Sets up board specific ADC interface.

Returns
  Nothing

Sets up board specific ADC interface.

Returns
  Nothing

Definition at line 534 of file board.c.

void Board_Audio_Init | ( | LPC_I2S_T * | pI2S,
|  | int | micIn
| ) |  |

Initialize I2S interface for the board and UDA1380.

Parameters

  pI2S | : Pointer to I2S register interface used on this board
  micIn | : If 1 selects MIC as input device, If 0 selects LINE_IN

Returns
  Nothing

Parameters

  pI2S | : Pointer to I2S register interface used on this board
  micIn | : If 1 MIC will be used as input, if 0 LINE_IN will be used

Returns
  Nothing

Definition at line 738 of file board.c.

void Board_Buttons_Init | ( | void |  | ) |

Initialize button(s) interface on board.

Returns
  Nothing

Definition at line 472 of file board.c.

void Board_DAC_Init | ( | LPC_DAC_T * | pDAC | ) |

Initialize DAC interface for the board.

Parameters

  pDAC | : Pointer to DAC register interface used on this board

Returns
  Nothing

Definition at line 754 of file board.c.

void Board_ENET_GetMacADDR | ( | uint8_t * | mcaddr | ) |

Returns the MAC address assigned to this board.

Parameters

  mcaddr | : Pointer to 6-byte character array to populate with MAC address

Returns
  Nothing

Definition at line 499 of file board.c.

bool Board_GetTouchPos | ( | int16_t * | pX,
|  | int16_t * | pY
| ) |  |

Get Touch coordinates.

Parameters

  pX | : Pointer to x-Coord to populate
  pY | : Pointer to y-Coord to populate

Returns
  true if touch is detected or false if otherwise

Definition at line 621 of file board.c.

STATIC INLINE void Board_I2C_DisableFastPlus | ( | I2C_ID_T | id | ) |

Disable I2C Fast Plus mode and enables default mode.

Parameters

  id | : Must always be I2C0

Returns
  Nothing

See Also
  Board_I2C_EnableFastPlus()

Definition at line 210 of file board.h.

STATIC INLINE void Board_I2C_EnableFastPlus | ( | I2C_ID_T | id | ) |

Sets up I2C Fast Plus mode.

Parameters

  id | : Must always be I2C0

Returns
  Nothing

Note
  This function must be called before calling Chip_I2C_SetClockRate() to set clock rates above normal range 100KHz to 400KHz. Only I2C0 supports this mode.

Definition at line 199 of file board.h.

void Board_I2C_Init | ( | I2C_ID_T | id | ) |

Sets up board specific I2C interface.

Parameters

  id | : I2C Peripheral ID (I2C0 or I2C1)

Returns
  Nothing

Parameters

  id | : I2C Peripheral ID (I2C0, I2C1)

Returns
  Nothing

Definition at line 541 of file board.c.

void Board_InitLCDController | ( | void |  | ) |

Initialize the LCD controller on the QVGA (320x240) TFT LCD.

Returns
  Nothing

Definition at line 565 of file board.c.

void Board_InitTouchController | ( | void |  | ) |

Initialize touchscreen controller.

Returns
  Nothing

Definition at line 590 of file board.c.

void Board_Joystick_Init | ( | void |  | ) |

Initialize joystick interface on board.

Returns
  Nothing

Definition at line 489 of file board.c.

void Board_LCD_Init | ( | void |  | ) |

Initialize the LCD interface.

Returns
  Nothing

Definition at line 554 of file board.c.

void Board_SDMMC_Init | ( | void |  | ) |

Initialize pin muxing for SDMMC interface.

Returns
  Nothing

Definition at line 689 of file board.c.

void Board_SetLCDBacklight | ( | uint8_t | Intensity | ) |

Set LCD Backlight.

Returns
  Nothing

Set LCD Backlight.

Parameters

  Intensity | : Backlight intensity (0 = off, >=1 = on)

Returns
  None

Note
  On boards where a GPIO is used to control backlight on/off state, a '0' or '1' value will turn off or on the backlight. On some boards, a non-0 value will control backlight intensity via a PWN. For PWM systems, the intensity value is a percentage value between 0 and 100%.

Definition at line 681 of file board.c.

void Board_SSP_Init | ( | LPC_SSP_T * | pSSP | ) |

Initialize pin muxing for SSP interface.

Parameters

  pSSP | : Pointer to SSP interface to initialize

Returns
  Nothing

Definition at line 704 of file board.c.

void Board_UART_Init | ( | LPC_USART_T * | pUART | ) |

Initialize pin muxing for a UART.

Parameters

  pUART | : Pointer to UART register block for UART pins to init

Returns
  Nothing

Definition at line 356 of file board.c.

uint32_t Buttons_GetStatus | ( | void |  | ) |

Returns button(s) state on board.

Returns
  Returns BUTTONS_BUTTON1 if button1 is pressed

Definition at line 479 of file board.c.

uint8_t Joystick_GetStatus | ( | void |  | ) |

Returns joystick states on board.

Returns
  Returns a JOY_* value, ir JOY_PRESS or JOY_UP

Definition at line 493 of file board.c.

## Variable Documentation

const LCD_CONFIG_T EA320x240

LCD configuration data

Definition at line 107 of file board.c.